Create an estimate

Use this endpoint to estimate a property's value by providing us with the property's attributes. More info.

Important - the estimates feature must be enabled on your account; every /estimates endpoint returns a 403 error otherwise.

Validation rules

Only one estimate may be stored per client and address; creating a second one for the same clientId and address returns a 400 error.
details.propertyType, details.style, details.basement1 and details.basement2 must be values that exist in your MLS data (see GET /listings?listings=false&aggregates=details.propertyType,details.style,details.basement1,details.basement2).
details.yearBuilt must be a valid year or a value that exists in your MLS data.
details.sqft must be numeric.
No value in the request body may contain a newline character.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

An indication of the overall renovation quality of the property. You may use a numeric value between 1.0 and 6.0 or one of these strings: poor, below average, average, above average, excellent. If not specified, defaults to average.

address
object
required
condominium
object
details
object
required
lot
object
boolean
Defaults to false

If set to true and there's a clientId specified, the client will receive a message immediately with a link that will allow them to access their estimate. Note - your account must have the Repliers messaging addon to use this feature.

boolean
Defaults to false

If set to true and there's a clientId specified, the client will receive a message on a monthly basis with a link to a current estimate. Note - your account must have the Repliers messaging addon to use this feature.

taxes
object
int32

Set this to the clientId that the estimate is for if you wish to store the estimate. If sendEmailNow or sendEmailMonthly is used, messages containing estimates will be sent to this clientId. Required when sendEmailNow or sendEmailMonthly is true.

int32

Required when using an API key that has access to multiple boards, unless resource is supplied. A boardId that your API key does not have access to is rejected with a 400 error.

string

The MLS resource identifier of the board, as an alternative to boardId. Must be a resource that your API key has access to.

date-time

The date the property was listed, if known. Format: YYYY-MM-DDTHH:mm:ss.sssZ

Responses

403

Estimates are not enabled for this API key. Contact the Repliers support team to enable the feature.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json